socket_send4(3)

NAME
socket_send4 - send a UDP datagram

SYNTAX
#include <libowfat/socket.h> ssize_t socket_send4(int s, const char* buf, size_t len,
                     const char ip[4],uint16 port);

DESCRIPTION
socket_send4 sends len bytes starting at buf in a UDP datagram over the socket s to UDP port port on IP address ip. You can call socket_send4 without calling socket_bind4. This has the effect as first calling socket_bind4 with IP address 0.0.0.0 and port 0.

RETURN VALUE
socket_send4 returns 0 if the datagram was sent successfully. If not, it returns -1 and sets errno appropriately.

EXAMPLE
  #include <libowfat/socket.h>
  int s;
  char ip[4];
  uint16 p;
  s = socket_tcp4();
  socket_bind4(s,ip,p);
  socket_send4(s,"hello, world",12,ip,p);

SEE ALSO
socket_send6(3)